Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## robocode
Class SkippedTurnEvent

    java.lang.Object
      robocode.Event
          robocode.SkippedTurnEvent

All Implemented Interfaces:
  Serializable, Comparable

    public final class SkippedTurnEvent

extends Event

A SkippedTurnEvent is sent to `onSkippedTurn()` when your robot is forced to skipping a turn. You must take an action every turn in order to participate in the game. For example,

        try {
            Thread.sleep(1000);
        } catch (InterruptedException e) {
            // Immediately reasserts the exception by interrupting the caller thread
            // itself.
            Thread.currentThread().interrupt();
        }

will cause many SkippedTurnEvents, because you are not responding to the game. If you receive 30 SkippedTurnEvents, you will be removed from the round.

Instead, you should do something such as:

         for (int i = 0; i < 30; i++) {
             doNothing(); // or perhaps scan();
         }

This event may also be generated if you are simply doing too much processing between actions, that is using too much processing power for the calculations etc. in your robot.

Author:
  Mathew A. Nelson (original)
See Also:
  `AdvancedRobot.onSkippedTurn(SkippedTurnEvent)`, `SkippedTurnEvent`, Serialized Form

Constructor Summary
`SkippedTurnEvent()` Called by the game to create a new SkippedTurnEvent.

Method Summary
`int` | `getPriority()` Returns the priority of this event.

Methods inherited from class robocode.Event
`compareTo, getTime, setPriority, setTime`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SkippedTurnEvent

    public SkippedTurnEvent()

  Called by the game to create a new SkippedTurnEvent.

Method Detail

### getPriority

    public final int getPriority()

  Returns the priority of this event. An event priority is a value from 0 - 99. The higher value, the higher priority. The default priority is 80.

  Overrides:
    `getPriority` in class `Event`
  Returns:
    the priority of this event

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Robocode. All Rights Reserved.